Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessions.generateSessionRecordingUrls({
sessionId: "<id>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.sessions.generate_session_recording_urls(session_id="<id>")
# Handle response
print(res)curl --request POST \
--url https://api.syllable.cloud/api/v1/sessions/recording/{session_id} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'POST', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/sessions/recording/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": 1,
"recordings": [
"https://example.com/recording1.mp3",
"https://example.com/recording2.mp3"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}sessions
Generate Recording Urls
POST
/
api
/
v1
/
sessions
/
recording
/
{session_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.sessions.generateSessionRecordingUrls({
sessionId: "<id>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.sessions.generate_session_recording_urls(session_id="<id>")
# Handle response
print(res)Authorizations
Path Parameters
⌘I

